Bug 173705 - ttmkfdir refers to /usr/X11R6/lib/X11/fonts/encodings/encodings.dir
ttmkfdir refers to /usr/X11R6/lib/X11/fonts/encodings/encodings.dir
Product: Fedora
Classification: Fedora
Component: ttmkfdir (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Depends On:
  Show dependency treegraph
Reported: 2005-11-18 20:59 EST by Sammy
Modified: 2009-06-24 03:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-24 03:14:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-11-18 20:59:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux; X11; en_US) KHTML/3.5.0 (like Gecko)

Description of problem:
ttmkfdir is using /usr/X11R6/lib/X11/fonts/encodings/encodings.dir which no longer  
exists /usr/share/X11/fonts/encodings/encodings.dir 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Look into ttmkfdir script/binary  

Additional info:
Comment 1 Liang Zhang 2005-11-23 21:54:02 EST
The direction of "/usr/share/X11" does not exist in system, and
"/usr/share/X11/fonts/encodings/encodings.dir" does not exist in system. 
What is the bug?
Comment 2 Michal Jaegermann 2005-11-26 19:34:05 EST
The bug is that you have a system which is already obsoleted by a switch
to "modular X".

$ rpm -qf /usr/share/X11/fonts/encodings
$ rpm -qf /usr/share/X11/fonts/encodings/encodings.dir

This is different than for FC4 and earlier but the bug is against the current devel.
Comment 3 Liang Zhang 2005-12-21 03:12:09 EST
ttmkfdir is using /usr/X11R6/lib/X11/fonts/encodings/encodings.dir by default.
If you want to use the file of encodings.dir in the other directory, you need
use ttmkfdir -e the  directory.
Comment 4 Michal Jaegermann 2005-12-23 16:51:02 EST
> ttmkfdir is using /usr/X11R6/lib/X11/fonts/encodings/encodings.dir by default.

"No such file or directory" anymore if you will try to access it on FC5.

> If you want to use the file of encodings.dir in the other directory, you need
> use ttmkfdir -e the  directory.

One of problems is that many %post scripts in rpm packages have a code like

    ttmkfdir $FONTDIR

and results are quite different if a referenced 'encodings.dir' file exists
or not.  Does your remark means that you volunteer to find and fix them all?

The other issue is that ttmkfdir does not bother to warn that a presumably
wanted default file does not exist but quietly proceeds making an impression
that everything is OK.
Comment 5 Liang Zhang 2006-06-15 06:26:52 EDT
I have already wrote a patch to fix this bug. And this patch has been committed
to the cvs of devel.
Then the default encoding file is
/usr/X11R6/lib/X11/fonts/encodings/encodings.dir or
Comment 6 David Lawrence 2006-07-17 23:01:54 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 7 Bug Zapper 2008-04-03 12:38:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Jens Petersen 2008-04-15 03:44:48 EDT
Basically this is fixed, but I think the patch should be updated to make
the default should be /usr/share/X11/fonts/encodings and then fall back
to /usr/X11R6/lib/X11/fonts/encodings.
Comment 9 Bug Zapper 2008-05-13 22:03:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 10 Bug Zapper 2009-06-09 18:04:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Jens Petersen 2009-06-24 01:45:36 EDT
Comment 12 Michal Jaegermann 2009-06-24 02:16:07 EDT
> ping?

I am now away so I cannot check that more thoroughly but with I have an access to ttmkfdir-3.0.9-27.fc10 and a '--help' text for this says 'default is "/usr/X11R6/lib/X11/fonts/encodings/encodings.dir" or "/usr/share/X11/fonts/encodings/encodings.dir"' and both these file location strings can be found inside of ttmkfdir binaries.  So presumably both possibilities are taken into account and that would mean that this bug was fixed in the meantime.
Comment 13 Jens Petersen 2009-06-24 03:14:55 EDT
I updated the patch for f12 devel just to default to "/usr/share/X11/fonts/encodings/encodings.dir".  But yes the issue was already fixed long ago I just wanted to the improved/simplified.


Note You need to log in before you can comment on or make changes to this bug.